package com.redhat.thermostat.tools.eclipse.plugin.model;

import java.util.ArrayList;
import java.util.List;

public class Group {

    private boolean required;
    private List<Option> options = new ArrayList<>();

    public Group() {
        // empty default constructor
    }

    public Group(Group other) {
        this.required = other.required;
        this.options = new ArrayList<>(other.options.size());
        for (Option opt : other.options) {
            this.options.add(new Option(opt));
        }
    }

    public boolean getRequired() {
        return required;
    }

    public void setRequired(boolean required) {
        this.required = required;
    }

    public List<Option> getOptions() {
        return this.options;
    }

    public void setOptions(List<Option> options) {
        this.options = options;
    }
}
